void Nrfsetup()
{
   if (! radio.begin())
  {
    // if(!SD.begin()){
    Serial.println("Radio is failed");
   // return;
  }
else
{
  Serial.println("Radio begin");
}
 radio.setChannel(100);
 radio.setPayloadSize(16);//должно быть16 
    radio.setAddressWidth(5);
 radio.setAutoAck( 0 ,false);
 radio.setCRCLength(RF24_CRC_16);
  radio.setDataRate(RF24_2MBPS);
 radio.openReadingPipe(0,pip);
 radio.startListening();
}

void nrf()
{
   if (radio.available()){  
     radio.read(msg,16); 
        esp_task_wdt_reset();//reset WDT  
     Serial.println(msg);
     parsmsg();
     delay(0);
      if (radio.available()){radio.read(msg,16); 
      parsmsg();}
      delay(500);
       if (radio.available()){radio.read(msg,16); 
      parsmsg();}
       delay(500);
       if (radio.available()){radio.read(msg,16); 
      parsmsg();}
       delay(500);
       if (radio.available()){radio.read(msg,16); 
      parsmsg();}
       delay(500);
       if (radio.available()){radio.read(msg,16); 
      parsmsg();}
      delay(0);
     JSstringK();//создаем строку для сайта
     delay(0);

     
  if(nt==2){saveul();}//t9 T2
  if(nt==3){savebalk();}//t1  T3
  if(nt==4){savek2();}//t2  T4
  if(nt==5){savek1();}//t3   T5
  if(nt==7){savekor();}//t5  T6
   if(nt==9){saveakva();}//t7  T7
  delay(0);
  if (radio.available()){radio.read(msg,16);}
 }
 //t1+138c347v524h5 балкон
 //t2+243c401v528h  моя комната
// t3+230c357v469h  зал
// t5+230c357v469h  коридор
//9d+088h866s00v   улица восток
//t7+247c251c243c024 t1 t2 t3 akva

delay(0);

}
